=== tools/CMakeLists.txt ===
add_subdirectory(nepomukctl)
add_subdirectory(nepomukcmd)
add_subdirectory(nepomukshow)
add_subdirectory(nepomuksearch)
