=== debian/changelog ===
nepomuk-core (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:24:37 +0100

nepomuk-core (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:52:09 +0200

nepomuk-core (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release
    - Drop kubuntu_baloo-migrator-autostart.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:51:36 +0100

nepomuk-core (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * Add kubuntu_baloo-migrator-autostart.diff from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:57:58 +0000

nepomuk-core (4:4.12.90-0ubuntu1~ubuntu14.04~ppa3) trusty; urgency=medium

  * New upstream beta release
  * Add baloo build-deps and add nepomukbaloomigrator to
    nepomuk-core-runtime
  * In override_dh_shlibdeps do not runtime dep on baloo to stop
    circular dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2014 00:30:51 +0000

nepomuk-core (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:13:00 +0100

nepomuk-core (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:23:57 +0000

nepomuk-core (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:37:35 +0000

nepomuk-core (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:39:37 +0000

nepomuk-core (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:36:56 +0000

nepomuk-core (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:34:39 +0100

nepomuk-core (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
    - Update install files

  [ Philip Muškovac ]
  * Build-depend on libqmobipocket-dev
  * Add nepomukmobiextractor to install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:56:13 +0100
