=== debian/control ===
Source: nepomuk-core
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 kdelibs5-dev (>= 4:4.13.0),
 debhelper (>= 9),
 cmake (>= 2.6.4),
 pkg-kde-tools (>= 0.14),
 libsoprano-dev (>= 2.9.3),
 shared-desktop-ontologies (>= 0.10.51),
 libpoppler-qt4-dev,
 libtag1-dev,
 libexiv2-dev,
 libavformat-dev,
 libepub-dev,
 doxygen,
 libqmobipocket-dev (>= 4:4.13.0),
 baloo-dev (>= 4:4.13.0),
 libkfilemetadata-dev (>= 4:4.13.0)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/nepomuk-core.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/nepomuk-core.git

Package: nepomuk-core-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${allLibraries}, python, nepomuk-core-runtime,
 shared-desktop-ontologies
Breaks: kde-runtime-dev (<< 4:4.8.80)
Replaces: kde-runtime-dev (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- development files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for nepomuk-core.

Package: nepomuk-core
Architecture: all
Depends: nepomuk-core-runtime, ${misc:depends}
Priority: extra
Section: oldlibs
Description: Nepomuk Semantik Desktop core libraries - transitional package
 The core Nepomuk system contains of the central services like file
 indexing, file system monitoring, query, and of course storage, as
 well as the corresponding client libraries.
 .
 This is a transitional package for nepomuk-core-runtime and can be
 safely removed after installation.

Package: nepomuk-core-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Replaces: kde-runtime (<< 4:4.8.80), nepomuk-core (<< 4:4.10.50)
Description: Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the runtime files from nepomuk-core.

Package: nepomuk-core-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-runtime-data (<< 4:4.8.80)
Replaces: kde-runtime-data (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecure independent files from nepomuk-core.

Package: nepomuk-core-ffmpegextractor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Semantik Desktop core libraries -- Video Tag reader
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the plugin which uses FFmpeg for reading video tags.
 . 
 It is not allowed on the CD due to concerns with software patents in FFmpeg.

Package: libnepomukcore4abi1
X-Debian-ABI: 1
Section: libs
Architecture: any
Depends: nepomuk-core-data, ${misc:Depends}, ${shlibs:Depends}
Description: Nepomuk Meta Data Library
 This is the KDE Meta Data library (not to confuse with
 KFileMetaData). It consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource
  - The handling of ontologies via classes in the Nepomuk::Types namespace
  - The desktop Nepomuk::Query API
  - Several utility methods and classes

Package: libnepomukcleaner4
X-Debian-ABI: 0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, nepomuk-core-data
Description: Nepomuk Index Cleaner library
 Shared components for the nepomuk index cleaner. Contains the
 Nepomuk2::CleaningJob for managing the index cleaner activities.

Package: nepomuk-core-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${allLibraries},
 nepomuk-core-runtime (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8.80)
Replaces: kde-runtime-dbg (<< 4:4.8.80)
Description: debugging symbols for the Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains debugging files used to investigate problems with the
 core Nepomuk system mentioned above.
