=== services/CMakeLists.txt ===
add_subdirectory(storage)
add_subdirectory(filewatch)
add_subdirectory(fileindexer)
