=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  debhelper (>= 9),
  cmake (>= 2.6.4),
  pkg-kde-tools (>= 0.14),
@@ -18,8 +18,8 @@
  libepub-dev,
  doxygen,
  libqmobipocket-dev (>= 4:4.13.0),
- baloo-dev (>= 4:4.13.0),
- libkfilemetadata-dev (>= 4:4.13.0)
+ baloo-dev (>= 4:4.13.3),
+ libkfilemetadata-dev (>= 4:4.13.3)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/nepomuk-core
